BSON_AS_RELAXED_EXTENDED_JSON(3)

NAME
bson_as_relaxed_extended_json - bson_as_relaxed_extended_json()

SYNOPSIS

char *
bson_as_relaxed_extended_json (const bson_t *bson, size_t *length);

PARAMETERS

•   bson: A bson_t.

•   length: An optional location for the length of the resulting string.

DESCRIPTION

The bson_as_relaxed_extended_json() encodes bson as a UTF-8 string in the relaxed MongoDB Extended JSON format.

The caller is responsible for freeing the resulting UTF-8 encoded string by calling bson_free() with the result.

If non-NULL, length will be set to the length of the result in bytes.

RETURNS

If successful, a newly allocated UTF-8 encoded string and length is set.

Upon failure, NULL is returned.

EXAMPLE

char *str = bson_as_relaxed_extended_json (doc, NULL);
printf ("%s\n", str);
bson_free (str);

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc